Package org.gradle.tooling.events.configuration

# Interface ProjectConfigurationOperationDescriptor

All Superinterfaces:
  `OperationDescriptor`

public interface ProjectConfigurationOperationDescriptor extends OperationDescriptor
Describes a project configuration operation for which an event has occurred.

Since:
  5.1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ProjectIdentifier`
  `getProject()`
  Returns the project that is configured by the described operation.

  ### Methods inherited from interface org.gradle.tooling.events.OperationDescriptor

  `getDisplayName, getName, getParent`

- ## Method Details

  - ### getProject

    ProjectIdentifier getProject()
    Returns the project that is configured by the described operation.